%define major		0
%define apiver		1
%define libname		%mklibname %{name} %{apiver} %{major}
%define develname	%mklibname %{name} -d

Summary:	A pixel manipulation library
Name:		pixman
Version:	0.44.2
Release:	%mkrel 2
License:	MIT
Group:		System/Libraries
URL:		https://pixman.org/
Source:		https://xorg.freedesktop.org/releases/individual/lib/%{name}-%{version}.tar.xz
BuildRequires:	meson
BuildRequires:	libgomp-devel

%description
Pixel manipulation Library.

%package -n	%{libname}
Summary:	Pixel manipulation library
Group:		System/Libraries

%description -n	%{libname}
A library for manipulating pixel regions -- a set of Y-X banded
rectangles, image compositing using the Porter/Duff model
and implicit mask generation for geometric primitives including
trapezoids, triangles, and rectangles.

%package -n	%{develname}
Summary:	Libraries and include files for developing with libpixman
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-%{apiver}-devel = %{version}-%{release}

%description -n	%{develname}
This package provides the necessary development libraries and include
files to allow you to develop with pixman.

%prep
%autosetup -p1

%build
%meson \
  --auto-features=auto \
   -Da64-neon=disabled \
  %nil

%meson_build

%install
%meson_install

%check
%meson_test || :

%files -n %{libname}
%{_libdir}/*%{apiver}.so.%{major}{,.*}

%files -n %{develname}
%doc README
%{_libdir}/*.so
%dir %{_includedir}/pixman-1
%{_includedir}/pixman-1/*.h
%{_libdir}/pkgconfig/*.pc


%changelog
* Mon Jun 30 2025 umeabot <umeabot> 0.44.2-2.mga10
+ Revision: 2230879
- Mageia 10 Mass Rebuild

* Thu Dec 05 2024 daviddavid <daviddavid> 0.44.2-1.mga10
+ Revision: 2121763
- new version: 0.44.2

* Thu Nov 21 2024 daviddavid <daviddavid> 0.44.0-2.mga10
+ Revision: 2118150
- fix arm32 build

* Thu Nov 21 2024 daviddavid <daviddavid> 0.44.0-1.mga10
+ Revision: 2118131
- new version: 0.44.0

* Tue Mar 05 2024 daviddavid <daviddavid> 0.43.4-1.mga10
+ Revision: 2047595
- new version: 0.43.4

* Wed Nov 02 2022 luigiwalser <luigiwalser> 0.42.2-1.mga9
+ Revision: 1901781
- 0.42.2

* Sun Oct 23 2022 tv <tv> 0.42.0-2.mga9
+ Revision: 1898671
- Disable a64-neon on aarch64 due to missing test files in tarball
- 0.42.0

* Tue Mar 15 2022 umeabot <umeabot> 0.40.0-2.mga9
+ Revision: 1792770
- Mageia 9 Mass Rebuild

* Mon Apr 20 2020 tv <tv> 0.40.0-1.mga8
+ Revision: 1570147
- 0.40.0

* Sat Feb 15 2020 umeabot <umeabot> 0.38.4-3.mga8
+ Revision: 1525494
- Mageia 8 Mass Rebuild

* Thu Apr 18 2019 umeabot <umeabot> 0.38.4-2.mga7
+ Revision: 1392899
- Rebuild with meson 0.50.1

* Wed Apr 10 2019 pterjan <pterjan> 0.38.4-1.mga7
+ Revision: 1388139
- Update to 0.38.4 which should fix build on arm

* Wed Apr 10 2019 tv <tv> 0.38.2-1.mga7
+ Revision: 1387965
- new release

* Fri Feb 15 2019 tv <tv> 0.38.0-1.mga7
+ Revision: 1367194
- ignore result of new %%check due to timeout on BS
- BR libgomp-devel
- Disable iwmmxt on ARM as it's broken b.fd.o # 55519
- new release
- switch to meson
- add %%check

* Sat Dec 01 2018 daviddavid <daviddavid> 0.36.0-1.mga7
+ Revision: 1337011
- new version: 0.36.0

* Sun Sep 23 2018 umeabot <umeabot> 0.34.0-2.mga7
+ Revision: 1300293
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Thu Feb 11 2016 tv <tv> 0.34.0-1.mga6
+ Revision: 953749
- 0.34.0

* Tue Dec 22 2015 tv <tv> 0.33.6-2.mga6
+ Revision: 913562
- submit to core/release

* Tue Dec 22 2015 tv <tv> 0.33.6-1.mga6
+ Revision: 913524
- new release

* Sun Oct 25 2015 tv <tv> 0.33.4-1.mga6
+ Revision: 895362
- new release
- new release

* Thu Sep 10 2015 blino <blino> 0.33.2-2.mga6
+ Revision: 875514
- explicitely disable gtk to avoid building unused demos/tests

* Sun Aug 02 2015 tv <tv> 0.33.2-1.mga6
+ Revision: 860491
- new release

* Wed Oct 15 2014 umeabot <umeabot> 0.32.6-3.mga5
+ Revision: 748892
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.32.6-2.mga5
+ Revision: 687608
- Mageia 5 Mass Rebuild

* Sun Jul 06 2014 tv <tv> 0.32.6-1.mga5
+ Revision: 650271
- new release

* Mon Nov 18 2013 tv <tv> 0.32.4-1.mga4
+ Revision: 551723
- new release

* Wed Nov 13 2013 tv <tv> 0.32.2-1.mga4
+ Revision: 551056
- new release
- patch 0: fix running SSE3 routines on !SSE3 processors

* Sat Oct 19 2013 umeabot <umeabot> 0.30.2-2.mga4
+ Revision: 531752
- Mageia 4 Mass Rebuild

* Fri Aug 09 2013 luigiwalser <luigiwalser> 0.30.2-1.mga4
+ Revision: 464985
- 0.30.2

* Thu May 23 2013 tv <tv> 0.30.0-1.mga4
+ Revision: 424818
- new release

* Sun Jan 13 2013 umeabot <umeabot> 0.28.2-2.mga3
+ Revision: 377772
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 10 2012 tv <tv> 0.28.2-1.mga3
+ Revision: 329398
- new release

* Wed Nov 07 2012 tv <tv> 0.28.0-1.mga3
+ Revision: 316245
- new release

* Thu Oct 25 2012 tv <tv> 0.27.4-1.mga3
+ Revision: 310053
- adjust file list
- new release

* Thu Aug 02 2012 tv <tv> 0.27.2-1.mga3
+ Revision: 277804
- switch to bz2 sources
- new release
+ fwang <fwang>
- update source
- update url

* Fri Jun 29 2012 tv <tv> 0.26.2-1.mga3
+ Revision: 265140
- new release

* Mon May 28 2012 tv <tv> 0.26.0-1.mga3
+ Revision: 248758
- new release

* Thu Feb 09 2012 tv <tv> 0.24.4-1.mga2
+ Revision: 206670
- new release

* Sun Jan 22 2012 tv <tv> 0.24.2-1.mga2
+ Revision: 199617
- new release

* Mon Nov 07 2011 tv <tv> 0.24.0-1.mga2
+ Revision: 164793
- new release

* Sun Oct 30 2011 tv <tv> 0.23.8-1.mga2
+ Revision: 160170
- new release

* Tue Oct 18 2011 tv <tv> 0.23.6-1.mga2
+ Revision: 156345
- new release

* Wed Sep 14 2011 fwang <fwang> 0.23.4-2.mga2
+ Revision: 143394
- drop .la files

* Wed Sep 14 2011 tv <tv> 0.23.4-1.mga2
+ Revision: 143328
- new release

* Thu Jul 14 2011 kharec <kharec> 0.23.2-1.mga2
+ Revision: 124028
- new version 0.23.2

* Thu Jun 30 2011 fwang <fwang> 0.22.0-1.mga2
+ Revision: 116862
- new version 0.22.0

* Tue Feb 01 2011 tv <tv> 0.20.2-1.mga1
+ Revision: 45568
- new release

* Tue Jan 11 2011 blino <blino> 0.20.0-3.mga1
+ Revision: 6090
- remove old ldconfig scriptlets
- imported package pixman


* Thu Oct 28 2010 Thierry Vignaud <tv@mandriva.org> 0.20.0-1mdv2011.0
+ Revision: 589753
- new release

* Thu Oct 21 2010 Thierry Vignaud <tv@mandriva.org> 0.19.6-1mdv2011.0
+ Revision: 587062
- new release

* Tue Sep 21 2010 Thierry Vignaud <tv@mandriva.org> 0.19.4-1mdv2011.0
+ Revision: 580432
- new release

* Mon Aug 23 2010 Thierry Vignaud <tv@mandriva.org> 0.19.2-1mdv2011.0
+ Revision: 572375
- new release

* Tue Aug 17 2010 Thierry Vignaud <tv@mandriva.org> 0.18.4-1mdv2011.0
+ Revision: 571085
- new release

* Mon May 17 2010 Frederic Crozat <fcrozat@mandriva.com> 0.18.2-1mdv2010.1
+ Revision: 544922
- Release 0.18.2

* Thu Apr 01 2010 Christophe Fergeau <cfergeau@mandriva.com> 0.18.0-1mdv2010.1
+ Revision: 530627
- pixman 0.18.0

* Wed Mar 24 2010 Christophe Fergeau <cfergeau@mandriva.com> 0.17.14-1mdv2010.1
+ Revision: 527082
- pixman 0.17.14

* Thu Mar 18 2010 Frederic Crozat <fcrozat@mandriva.com> 0.17.12-1mdv2010.1
+ Revision: 524912
- Release 0.17.12

* Mon Mar 08 2010 Christophe Fergeau <cfergeau@mandriva.com> 0.17.10-1mdv2010.1
+ Revision: 515806
- new upstream release: 0.17.10

* Thu Feb 25 2010 Frederic Crozat <fcrozat@mandriva.com> 0.17.8-1mdv2010.1
+ Revision: 510935
- Release 0.17.8
 -Remove patch0 (not applied anymore)

* Mon Feb 15 2010 Christophe Fergeau <cfergeau@mandriva.com> 0.17.6-1mdv2010.1
+ Revision: 506138
- pixman 0.17.6

* Thu Feb 11 2010 Christophe Fergeau <cfergeau@mandriva.com> 0.17.4-1mdv2010.1
+ Revision: 504236
- pixman 0.17.4

* Fri Nov 20 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.17.2-1mdv2010.1
+ Revision: 467733
- update to new version 0.17.2

* Mon Sep 28 2009 Frederik Himpe <fhimpe@mandriva.org> 0.16.2-1mdv2010.0
+ Revision: 450626
- update to new version 0.16.2

* Sun Aug 30 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.16.0-1mdv2010.0
+ Revision: 422500
- update to new version 0.16.0

* Wed Aug 12 2009 Frederic Crozat <fcrozat@mandriva.com> 0.15.20-1mdv2010.0
+ Revision: 415372
- Release 0.15.20

* Tue Jul 21 2009 Thierry Vignaud <tv@mandriva.org> 0.15.18-1mdv2010.0
+ Revision: 398429
- new release (should fix fdo #22484 and thus mdv #52320)

* Sat Jul 18 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.15.16-1mdv2010.0
+ Revision: 397061
- update to new version 0.15.16

* Fri Jun 26 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.15.14-1mdv2010.0
+ Revision: 389283
- update to new version 0.15.14

* Wed Jun 17 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.15.12-1mdv2010.0
+ Revision: 386833
- update to new version 0.15.12

* Sun Jun 07 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.15.10-1mdv2010.0
+ Revision: 383551
- update to new version 0.15.10

* Mon Jun 01 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.15.8-1mdv2010.0
+ Revision: 381999
- update to new version 0.15.8

* Sat May 30 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.15.6-1mdv2010.0
+ Revision: 381322
- update to new version 0.15.6

* Sat Feb 07 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.14.0-1mdv2009.1
+ Revision: 338320
- update to new version 0.14.0

* Sun Nov 30 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.13.2-1mdv2009.1
+ Revision: 308557
- update to new version 0.13.2

* Thu Sep 18 2008 Götz Waschk <waschk@mandriva.org> 0.12.0-1mdv2009.0
+ Revision: 285592
- new version
- drop patch 1

* Fri Sep 12 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.11.10-1mdv2009.0
+ Revision: 283968
- update to new version 0.11.10
- Patch1: do not render weird artifacts (fd.o bug #17477) (hopefully this will fix also mdv bug #39971 ?)

* Tue Aug 12 2008 Götz Waschk <waschk@mandriva.org> 0.11.8-1mdv2009.0
+ Revision: 271004
- new version

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 0.10.0-2mdv2009.0
+ Revision: 224920
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Apr 01 2008 Frederic Crozat <fcrozat@mandriva.com> 0.10.0-1mdv2008.1
+ Revision: 191349
- Release 0.10.0 (needed for cairo 1.6.0 when released), with additional MMX optimisations as a bonus

* Tue Jan 15 2008 Paulo Andrade <pcpa@mandriva.com.br> 0.9.6-2mdv2008.1
+ Revision: 152909
- Disable patch0 as it was used only to "document" functions called by
  the X Server.
- Still a noop patch, but add an explicit _X_EXPORT for other symbols. This
  time symbols used by some X Server modules.
- This is a "noop" patch. But it can be considered a list of the functions,
  code from X Server uses from pixmap (libpixman-1), at a later stage, this
  library can be changed to make available only the public symbols.

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Oct 25 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.9.6-1mdv2008.1
+ Revision: 102081
- new version

* Tue Oct 16 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 0.9.5-3mdv2008.1
+ Revision: 99035
+ rebuild (emptylog)

* Wed Oct 10 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 0.9.5-1mdv2008.1
+ Revision: 96931
- new upstream version: 0.9.5
- minor spec cleanup

  + Götz Waschk <waschk@mandriva.org>
    - fix library name to be compatible with libpixman in main
    - remove wrong obsoletes

* Tue Aug 07 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.9.4-1mdv2008.0
+ Revision: 59882
- Import pixman

